﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication196
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        static DataTable GetTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);
            return table;
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            ultraComboEditor1.DataSource = GetTable();
        }

        private void ultraComboEditor1_ValueChanged(object sender, EventArgs e)
        {
            Console.WriteLine("ValueChanged FIRED");
        }

        private void ultraComboEditor1_SelectionChanged(object sender, EventArgs e)
        {
            Console.WriteLine("SelectionChanged FIRED");
        }

        private void ultraComboEditor1_SelectionChangeCommitted(object sender, EventArgs e)
        {
            Console.WriteLine("SelectionChangeCommitted FIRED");
        }


    }
}
